Results 1 to 8 of 8

Thread: Docker container: network connection problem

  1. #1

    Default Docker container: network connection problem

    Following the instructions here was fine on openSUSE Tumbleweed with Docker version 20.10.6-ce, build 8728dd246c3a

    https://github.com/mirumee/saleor-platform#how-to-run-it

    But on openSUSE Leap 15.3 with Docker version 19.03.15, build 99e3ed89195c I'm receiving an error:

    psycopg2.OperationalError: could not connect to server: No route to host
    Is the server running on host "db" (172.21.0.4) and accepting
    TCP/IP connections on port 5432?


    While running this command, complete logs are:

    Code:
    m3@localhost:~/repos/saleor-platform> docker-compose run --rm api python3 manage.py migrate
    Creating network "saleor-platform_default" with the default driver
    Creating network "saleor-platform_saleor-backend-tier" with driver "bridge"
    Creating saleor-platform_jaeger_1 ... done
    Creating saleor-platform_db_1     ... done
    Creating saleor-platform_redis_1  ... done
    Traceback (most recent call last):
      File "/usr/local/lib/python3.8/site-packages/django/db/backends/base/base.py", line 219, in ensure_connection
        self.connect()
      File "/usr/local/lib/python3.8/site-packages/django/utils/asyncio.py", line 26, in inner
        return func(*args, **kwargs)
      File "/usr/local/lib/python3.8/site-packages/django/db/backends/base/base.py", line 200, in connect
        self.connection = self.get_new_connection(conn_params)
      File "/usr/local/lib/python3.8/site-packages/django/utils/asyncio.py", line 26, in inner
        return func(*args, **kwargs)
      File "/usr/local/lib/python3.8/site-packages/django/db/backends/postgresql/base.py", line 187, in get_new_connection
        connection = Database.connect(**conn_params)
      File "/usr/local/lib/python3.8/site-packages/psycopg2/__init__.py", line 127, in connect
        conn = _connect(dsn, connection_factory=connection_factory, **kwasync)
    psycopg2.OperationalError: could not connect to server: No route to host
            Is the server running on host "db" (172.21.0.4) and accepting
            TCP/IP connections on port 5432?
    
    
    
    
    The above exception was the direct cause of the following exception:
    
    
    Traceback (most recent call last):
      File "manage.py", line 10, in <module>
        execute_from_command_line(sys.argv)
      File "/usr/local/lib/python3.8/site-packages/django/core/management/__init__.py", line 401, in execute_from_command_line
        utility.execute()
      File "/usr/local/lib/python3.8/site-packages/django/core/management/__init__.py", line 395, in execute
        self.fetch_command(subcommand).run_from_argv(self.argv)
      File "/usr/local/lib/python3.8/site-packages/django/core/management/base.py", line 330, in run_from_argv
        self.execute(*args, **cmd_options)
      File "/usr/local/lib/python3.8/site-packages/django/core/management/base.py", line 371, in execute
        output = self.handle(*args, **options)
      File "/usr/local/lib/python3.8/site-packages/django/core/management/base.py", line 85, in wrapped
        res = handle_func(*args, **kwargs)
      File "/usr/local/lib/python3.8/site-packages/django/core/management/commands/migrate.py", line 92, in handle
        executor = MigrationExecutor(connection, self.migration_progress_callback)
      File "/usr/local/lib/python3.8/site-packages/django/db/migrations/executor.py", line 18, in __init__
        self.loader = MigrationLoader(self.connection)
      File "/usr/local/lib/python3.8/site-packages/django/db/migrations/loader.py", line 53, in __init__
        self.build_graph()
      File "/usr/local/lib/python3.8/site-packages/django/db/migrations/loader.py", line 216, in build_graph
        self.applied_migrations = recorder.applied_migrations()
      File "/usr/local/lib/python3.8/site-packages/django/db/migrations/recorder.py", line 77, in applied_migrations
        if self.has_table():
      File "/usr/local/lib/python3.8/site-packages/django/db/migrations/recorder.py", line 55, in has_table
        with self.connection.cursor() as cursor:
      File "/usr/local/lib/python3.8/site-packages/django/utils/asyncio.py", line 26, in inner
        return func(*args, **kwargs)
      File "/usr/local/lib/python3.8/site-packages/django/db/backends/base/base.py", line 259, in cursor
        return self._cursor()
      File "/usr/local/lib/python3.8/site-packages/django/db/backends/base/base.py", line 235, in _cursor
        self.ensure_connection()
      File "/usr/local/lib/python3.8/site-packages/django/utils/asyncio.py", line 26, in inner
        return func(*args, **kwargs)
      File "/usr/local/lib/python3.8/site-packages/django/db/backends/base/base.py", line 219, in ensure_connection
        self.connect()
      File "/usr/local/lib/python3.8/site-packages/django/db/utils.py", line 90, in __exit__
        raise dj_exc_value.with_traceback(traceback) from exc_value
      File "/usr/local/lib/python3.8/site-packages/django/db/backends/base/base.py", line 219, in ensure_connection
        self.connect()
      File "/usr/local/lib/python3.8/site-packages/django/utils/asyncio.py", line 26, in inner
        return func(*args, **kwargs)
      File "/usr/local/lib/python3.8/site-packages/django/db/backends/base/base.py", line 200, in connect
        self.connection = self.get_new_connection(conn_params)
      File "/usr/local/lib/python3.8/site-packages/django/utils/asyncio.py", line 26, in inner
        return func(*args, **kwargs)
      File "/usr/local/lib/python3.8/site-packages/django/db/backends/postgresql/base.py", line 187, in get_new_connection
        connection = Database.connect(**conn_params)
      File "/usr/local/lib/python3.8/site-packages/psycopg2/__init__.py", line 127, in connect
        conn = _connect(dsn, connection_factory=connection_factory, **kwasync)
    django.db.utils.OperationalError: could not connect to server: No route to host
            Is the server running on host "db" (172.21.0.4) and accepting
            TCP/IP connections on port 5432?
    
    
    m3@localhost:~/repos/saleor-platform>





  2. #2

    Default Re: Docker container: network connection problem

    Didn't work:


    * Restarting Docker service
    * Rebooting the machine

  3. #3

    Default Re: Docker container: network connection problem

    The approach here didn't work:

    https://stackoverflow.com/a/57502873/3405291

  4. #4

  5. #5

    Default Re: Docker container: network connection problem


  6. #6

    Default Re: Docker container: network connection problem

    This approach didn't work, i.e. adding this to database service inside `docker-compose.yml` file:

    Code:
         environment:
           - POSTGRES_HOST_AUTH_METHOD=trust
    https://unix.stackexchange.com/a/589519/158683

  7. #7

    Default Re: Docker container: network connection problem

    Issue is solved by installing and using Docker version `20` on openSUSE Leap 15.3

  8. #8

    Cool Re: Docker container: network connection problem

    Quote Originally Posted by m3g1dd0 View Post
    Issue is solved by installing and using Docker version `20` on openSUSE Leap 15.3
    Thanks, this works for me!

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •